/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";

import "frameworks/base/core/proto/android/graphics/rect.proto";
import "frameworks/base/core/proto/android/privacy.proto";

package android.view;
option java_multiple_files = true;

message DisplayCutoutProto {
    option (.android.msg_privacy).dest = DEST_AUTOMATIC;

    optional .android.graphics.RectProto insets = 1;
    reserved 2;
    optional .android.graphics.RectProto bound_left = 3;
    optional .android.graphics.RectProto bound_top = 4;
    optional .android.graphics.RectProto bound_right = 5;
    optional .android.graphics.RectProto bound_bottom = 6;
    optional .android.graphics.RectProto waterfall_insets = 7;
    repeated int32 side_overrides = 8;
}
